
// Function prototype to trim blank characters from a string
String.prototype.trim = function () {
   return this.replace(/^\s+|\s+$/g, "");
}

// Function to return trimmed string
function getString(strInput) {
   return (typeof(strInput) == 'undefined' || strInput == 'undefined') ? "" : strInput.toString().trim();
}

// Function to check for blank string
// Specifically used to determine if input exist in the edit field
function isBlank(strInput) {
   var strVal = getString(strInput);
   var blank = strVal == "";
   return blank;
}

// Clear Data
function clearData(){
	set("V[z*]","");
}

// Get Order Information
function getOrderInfo_1(){
	if(isBlank(z_iw32_ordernum)){
		return("E: Enter Order number");
	}
	
	// SAP Easy Access
	onscreen 'SAPLSMTR_NAVIGATION.0100'
		enter("/nIW32");
		
	// Include Pre-processor makes the function inline	
	#include "INC_GET_ORDER_DATA_1.sjs"
	
	onscreen 'SAPLCOIH.3000'
		set("V[z_iw32_salesorg]","&F[Sales Org.]");
		set("V[z_iw32_distchannel]","&F[Distr. Channel]");
		set("V[z_iw32_division]","&F[Division]");
		enter("/n");
}

// Get Order Information
function getOrderInfo_2(){
#include "INC_GET_ORDER_DATA_2.sjs"
}
